This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 465884 - (eq-overflow) [mi] EQ overflowing. The server is probably stuck in an infinite loop in logs (tracker bug)
[mi] EQ overflowing. The server is probably stuck in an infinite loop in logs...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Tracking
: 465613 605432 (view as bug list)
Depends On: 464866 473759 517625 538563 542280
Blocks: intel-gem
  Show dependency treegraph
 
Reported: 2008-10-06 18:49 EDT by Matěj Cepl
Modified: 2011-03-06 18:54 EST (History)
51 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-07 20:48:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Lenovo T400 Xorg error (91.52 KB, text/plain)
2009-02-17 15:40 EST, Kyle Pablo
no flags Details
T61 Lenovo Xorg.log (256.12 KB, text/plain)
2009-02-28 17:31 EST, James Kirkland
no flags Details
Lenovo X60 -- ix86 Xorg.log (162.11 KB, text/plain)
2009-03-04 20:43 EST, Toshio Ernie Kuratomi
no flags Details

  None (edit)
Description Matěj Cepl 2008-10-06 18:49:54 EDT
Apparently there is a number of bugs with this in the Xorg.*.log.
Comment 1 Matěj Cepl 2008-10-08 18:11:23 EDT
*** Bug 465613 has been marked as a duplicate of this bug. ***
Comment 2 Need Real Name 2009-01-04 07:04:48 EST
My problem seems to follow a state related to what's described in bug 472309

Xorg.*.log:
...
RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:12032 vs g:525332480 w:8448 vs v:103381398
RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:0 vs g:525332480 w:0 vs v:103381398
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e7a26]
1: /usr/bin/Xorg(mieqEnqueue+0x291) [0x4c8591]
2: /usr/bin/Xorg(xf86PostKeyboardEvent+0x85) [0x490f15]
3: /usr/lib64/xorg/modules/input//evdev_drv.so [0x2f751e9]
4: /usr/bin/Xorg [0x47a765]
5: /usr/bin/Xorg [0x46b307]
6: /lib64/libc.so.6 [0x3d98e32f90]
7: /usr/lib64/libpixman-1.so.0 [0x3da4a29d60]
8: /usr/lib64/libpixman-1.so.0(pixman_fill+0x3d) [0x3da4a2640d]
9: /usr/lib64/xorg/modules//libfb.so(fbSolidBoxClipped+0x1da) [0x58d57ea]
10: /usr/lib64/xorg/modules//libfb.so(fbImageGlyphBlt+0x344) [0x58d6ee4]
11: /usr/lib64/xorg/modules//libexa.so(ExaCheckImageGlyphBlt+0x63) [0x5d04af3]
12: /usr/lib64/xorg/modules//libexa.so [0x5cfbae7]
13: /usr/bin/Xorg [0x52c441]
14: /usr/bin/Xorg [0x52c59a]
15: /usr/bin/Xorg(doImageText+0x163) [0x448853]
16: /usr/bin/Xorg(ImageText+0x6c) [0x4489fc]
17: /usr/bin/Xorg(ProcImageText16+0xf4) [0x444254]
18: /usr/bin/Xorg(Dispatch+0x364) [0x4468d4]
19: /usr/bin/Xorg(main+0x45d) [0x42cd1d]
20: /lib64/libc.so.6(__libc_start_main+0xe6) [0x3d98e1e576]
21: /usr/bin/Xorg [0x42c0f9]
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
...

I'm running an updated F10.
The problem is more likely to appear a minute or so after using the "User switcher".
Comment 3 Donald Cohen 2009-01-09 20:59:35 EST
I just got a very similar freeze;
ssh into the machine showed X using 100% CPU and after reboot, I see this in Xorg.0.log.old
 ...(II) NV(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(WW) AT Translated Set 2 keyboard: unable to handle keycode 387
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x26) [0x4e7a26]
1: /usr/bin/X(mieqEnqueue+0x291) [0x4c8591]
2: /usr/bin/X(xf86PostMotionEventP+0xc4) [0x491494]
3: /usr/bin/X(xf86PostMotionEvent+0xa9) [0x491669]
4: /usr/lib64/xorg/modules/input//synaptics_drv.so [0x1797832]
5: /usr/lib64/xorg/modules/input//synaptics_drv.so [0x1799de2]
6: /usr/bin/X [0x47a765]
7: /usr/bin/X [0x46b307]
8: /lib64/libc.so.6 [0x3ae4632f90]
9: /usr/lib64/xorg/modules/drivers//nv_drv.so(G80DispCommand+0x50) [0x1156cc0]
10: /usr/lib64/xorg/modules/drivers//nv_drv.so [0x115738d]
11: /usr/bin/X [0x4a5aee]
12: /usr/bin/X(xf86SetCursor+0x107) [0x4acf67]
13: /usr/bin/X [0x4ac4d6]
14: /usr/bin/X(miPointerUpdateSprite+0x190) [0x4d11e0]
15: /usr/bin/X [0x4d12a2]
16: /usr/bin/X [0x4fc4ee]
17: /usr/bin/X [0x51cc9f]
18: /usr/bin/X [0x44da1f]
19: /usr/bin/X(ChangeWindowAttributes+0xd98) [0x435108]
20: /usr/bin/X(ProcChangeWindowAttributes+0xb7) [0x4463b7]
21: /usr/bin/X(Dispatch+0x364) [0x4468d4]
22: /usr/bin/X(main+0x45d) [0x42cd1d]
23: /lib64/libc.so.6(__libc_start_main+0xe6) [0x3ae461e576]
24: /usr/bin/X [0x42c0f9]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
 ...

This is fedora 10, x64 --  2.6.27.9-159.fc10.x86_64, 
Intel(R) Core(TM)2 Duo CPU     P7350  @ 2.00GHz
The mouse was tracking but nothing else seemed to be working.
Let me know what other info would be useful
Comment 4 abhishekabhis 2009-01-12 18:57:32 EST
Experiencing same behaviour with my X3100 chip. Also screen goes blank(dark) and mouse is functional and the programs like browsers or anything else keep working. Its a major showstopper for compiz.
Comment 5 vouchy johns 2009-01-13 12:37:07 EST
Same on DELLD630,intel 965GM, KDE 4.1.3, x86_64.

Could development provide any feedback on this blocking issue..

Regards
vouchy
Comment 6 Kevin Fenzi 2009-01-14 17:34:30 EST
I'm seeing this every few days here on a Dell d820.
The mouse continues to move, but everything else is frozen, requiring a reboot. 

Are all the machines seeing this running x86_64?
(mine is, as are all the others here in this bug). 

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e7a26]
1: /usr/bin/Xorg(mieqEnqueue+0x291) [0x4c8591]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc4) [0x491494]
3: /usr/bin/Xorg(xf86PostMotionEvent+0xa9) [0x491669]
4: /usr/lib64/xorg/modules/input//synaptics_drv.so [0x6b85832]
5: /usr/lib64/xorg/modules/input//synaptics_drv.so [0x6b87de2]
6: /usr/bin/Xorg [0x47a765]
7: /usr/bin/Xorg [0x46b307]
8: /lib64/libc.so.6 [0x3b8aa32f90]
9: /lib64/libc.so.6(ioctl+0x7) [0x3b8aade037]
10: /usr/lib64/libdrm.so.2 [0x3b99003023]
11: /usr/lib64/libdrm.so.2(drmCommandWrite+0x1b) [0x3b990032ab]
12: /usr/lib64/xorg/modules/drivers//intel_drv.so(I830Sync+0x118) [0x1047d38]
13: /usr/lib64/xorg/modules//libexa.so(exaWaitSync+0x5c) [0x5fe529c]
14: /usr/lib64/xorg/modules//libexa.so(ExaDoPrepareAccess+0x91) [0x5fe6591]
15: /usr/lib64/xorg/modules//libexa.so [0x5feb749]
16: /usr/lib64/xorg/modules//libexa.so [0x5febc7f]
17: /usr/lib64/xorg/modules//libexa.so(exaDoMigration+0x68f) [0x5fec46f]
18: /usr/lib64/xorg/modules//libexa.so [0x5fedbac]
19: /usr/lib64/xorg/modules//libexa.so(exaComposite+0x645) [0x5fee2d5]
20: /usr/bin/Xorg [0x5291b8]
21: /usr/bin/Xorg [0x5183fa]
22: /usr/bin/Xorg(Dispatch+0x364) [0x4468d4]
23: /usr/bin/Xorg(main+0x45d) [0x42cd1d]
24: /lib64/libc.so.6(__libc_start_main+0xe6) [0x3b8aa1e576]
25: /usr/bin/Xorg [0x42c0f9]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
Comment 7 vouchy johns 2009-01-15 07:38:27 EST
I tried to debug Xorg and got this backtrace when the freeze occurs


#0  0x0000003b6c6de4f3 in do_writev ()
    at ../sysdeps/unix/sysv/linux/writev.c:46
No locals.
#1  __libc_writev (fd=52, vector=0x7ffffeb7ef80, count=1)
    at ../sysdeps/unix/sysv/linux/writev.c:61
        oldtype = <value optimized out>
        result = <value optimized out>
#2  0x00000000004ef2dc in _XSERVTransSocketWritev (
    ciptr=<value optimized out>, buf=0x7ffffeb7ef80, size=1)
    at /usr/include/X11/Xtrans/Xtranssock.c:2297
No locals.
#3  0x00000000004e9a87 in FlushClient (who=0x7fbbe3cead40, oc=0x7fbbe3ceac80,
    extraBuf=0x0, extraCount=0) at io.c:930
        before = <value optimized out>
        remain = <value optimized out>
        i = <value optimized out>
        len = -1
        oco = (struct _connectionOutput *) 0x7fbbde45db00
        connection = 52
        trans_conn = (XtransConnInfo) 0x7fbbe3cfb130
        iov = {{iov_base = 0x7fbbdcdf58b0, iov_len = 32}, {
    iov_base = 0x7fbbda80f5c4, iov_len = 5409862}, {iov_base = 0x7fbbe3b918c0,
    iov_len = 5413646}}
written = 0
        padsize = 0
        notWritten = 32
        todo = 32
        padBuffer = "\000\000"
#4  0x00000000004ea4b9 in FlushAllOutput () at io.c:682
        index = <value optimized out>
        mask = 1306043891937443840
        oc = (struct _osComm *) 0x7ffffeb7ef80
        client = (struct _Client *) 0x34
        newoutput = <value optimized out>
#5  0x000000000044680e in Dispatch () at dispatch.c:416
        result = 0
        client = (struct _Client *) 0x7fbbe5ad2b40
        nready = 0
        start_tick = 45660
#6  0x000000000042cd1d in main (argc=8, argv=0x7ffffeb7f1b8,
    envp=<value optimized out>) at main.c:441
        i = 1
        error = 0
        xauthfile = <value optimized out>
        alwaysCheckForInput = {0, 1}

Hope it could help
vouchy
Comment 8 vouchy johns 2009-01-18 11:44:29 EST
Hi,

Any feedback on the backtrace I provided.
Is the trace accurate with the bug ?

Regards

vouchy
Comment 9 Richard Schwarting 2009-01-25 05:23:39 EST
"Me too".

I get the following on an IBM Thinkpad X41, a tablet with an Intel chipset:



xf86WcmSerialValidate: bad magic at 0 v=0 l=9
xf86WcmSerialValidate: bad magic at 6 v=a0 l=9
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b379]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc2) [0x80d4262]
3: /usr/bin/Xorg(xf86PostMotionEvent+0x68) [0x80d43c8]
4: /usr/lib/xorg/modules/input//wacom_drv.so(xf86WcmSendEvents+0x916) [0x15e8b6]
5: /usr/lib/xorg/modules/input//wacom_drv.so(xf86WcmEvent+0x910) [0x15f330]
6: /usr/lib/xorg/modules/input//wacom_drv.so [0x159d8a]
7: /usr/lib/xorg/modules/input//wacom_drv.so(xf86WcmReadPacket+0xd6) [0x1567c6]
8: /usr/lib/xorg/modules/input//wacom_drv.so [0x155677]
9: /usr/bin/Xorg [0x80bcdb7]
10: /usr/bin/Xorg [0x80ac91e]
11: [0x110400]
12: [0x110416]
13: /lib/libc.so.6(ioctl+0x19) [0x363979]
14: /usr/lib/libdrm.so.2 [0x4bd66cf]
15: /usr/lib/libdrm.so.2(drmCommandWrite+0x34) [0x4bd6984]
16: /usr/lib/xorg/modules/drivers//intel_drv.so(I830Sync+0x135) [0x5e0ca5]
17: /usr/lib/xorg/modules/drivers//intel_drv.so [0x60a97a]
18: /usr/lib/xorg/modules//libexa.so(exaWaitSync+0x65) [0x1c5095]
19: /usr/lib/xorg/modules//libexa.so(ExaDoPrepareAccess+0x7e) [0x1c63ae]
20: /usr/lib/xorg/modules//libexa.so [0x1cb3b2]
21: /usr/lib/xorg/modules//libexa.so [0x1cb905]
22: /usr/lib/xorg/modules//libexa.so(exaDoMigration+0x652) [0x1cc0c2]
23: /usr/lib/xorg/modules//libexa.so [0x1cd74b]
24: /usr/lib/xorg/modules//libexa.so(exaComposite+0xd5a) [0x1ce92a]
25: /usr/bin/Xorg [0x816f6fa]
26: /usr/bin/Xorg(CompositePicture+0x19a) [0x815818a]
27: /usr/lib/xorg/modules//libexa.so(exaTrapezoids+0x3ea) [0x1cd3da]
28: /usr/bin/Xorg(CompositeTrapezoids+0x9b) [0x8157f5b]
29: /usr/bin/Xorg [0x816053d]
30: /usr/bin/Xorg [0x815ad75]
31: /usr/bin/Xorg(Dispatch+0x34f) [0x8085e9f]
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.

[mi] EQ overflowing. The server is probably stuck in an infinite loop.
...(repeat the last two lines a hundred times)...
Comment 10 Kevin R. Page 2009-01-28 04:59:41 EST
Another: Thinkpad X61s, Intel GM965. Seems to happen every day or two on average (perhaps more frequently since installing kernel-2.6.28.1-9.rc2.fc10.i686 ?). Mouse cursor moves, but everything else locked hard.
Comment 11 Jaroslav Barton 2009-01-28 11:21:34 EST
 874 [mi] EQ overflowing. The server is probably stuck in an infinite loop.
 875 
 876 Backtrace:
 877 0: /usr/bin/X(xorg_backtrace+0x26) [0x4e7a26]
 878 1: /usr/bin/X(mieqEnqueue+0x291) [0x4c8591]
 879 2: /usr/bin/X(xf86PostMotionEventP+0xc4) [0x491494]
 880 3: /usr/bin/X(xf86PostMotionEvent+0xa9) [0x491669]
 881 4: /usr/lib64/xorg/modules/input//evdev_drv.so [0x7f5b8c321452]
 882 5: /usr/bin/X [0x47a765]
 883 6: /usr/bin/X [0x46b307]
 884 7: /lib64/libc.so.6 [0x332f832f90]
 885 8: /lib64/libc.so.6(ioctl+0x7) [0x332f8de037]
 886 9: /usr/lib64/libdrm.so.2 [0x3348403023]
 887 10: /usr/lib64/libdrm.so.2(drmCommandNone+0x16) [0x3348403326]
 888 11: /usr/lib64/xorg/modules/drivers//intel_drv.so [0x7f5b9e148fc8]
 889 12: /usr/bin/X [0x51cdb9]
 890 13: /usr/bin/X [0x4f7311]
 891 14: /usr/bin/X(BlockHandler+0x50) [0x44a320]
 892 15: /usr/bin/X(WaitForSomething+0x161) [0x4e4eb1]
 893 16: /usr/bin/X(Dispatch+0x7f) [0x4465ef]
 894 17: /usr/bin/X(main+0x45d) [0x42cd1d]
 895 18: /lib64/libc.so.6(__libc_start_main+0xe6) [0x332f81e576]
 896 19: /usr/bin/X [0x42c0f9]
 897 [mi] mieqEnequeue: out-of-order valuator event; dropping.
 898 [mi] EQ overflowing. The server is probably stuck in an infinite loop.

running 2.6.27.9-159.fc10.x86_64 on ThinkPad R61 on GM965
Comment 12 Cip 2009-01-29 15:47:32 EST
IBM Thinkpad X61s, KDE; after 2.6.27.12-170.2.5.fc10.x86_64 it happens more often, it takes only 15 minutes now it's almost unusable. Plus, before, one could press the power button and it'll shut down "in the background" while the screen will look funny at one point then the "Caps" LED will start blinking. Now when it freezes is frozen for good. 

Kdescreensaver kicking in seems to make things worse so does running on the power adaptor. XP works on the box without any problems.
Comment 13 Kyle Pablo 2009-02-17 15:38:14 EST
Hello, 

This bug is seriously affecting my computer. I have a Lenovo T400 w/ an  Intel Graphics Media Accelerator 4500MHD. Kernel-2.6.27.12-170.2.5.fc10.x86_64 and KDE 4.2.

My computer freezes rendering X useless.  The keyboard is dead but I can still move the mouse around but cannot click anything or select anything. I had to ssh into it to isolate the problem. I have to do a hard power off by holding the power button down. My error log is attached.
Comment 14 Kyle Pablo 2009-02-17 15:39:25 EST
Hello, 

This bug is seriously affecting my computer. I have a Lenovo T400 w/ an  Intel
Graphics Media Accelerator 4500MHD. Kernel-2.6.27.12-170.2.5.fc10.x86_64 and
KDE 4.2.

My computer freezes rendering X useless.  The keyboard is dead but I can still
move the mouse around but cannot click anything or select anything. I had to
ssh into it to isolate the problem. I have to do a hard power off by holding
the power button down. My error log is attached.
Comment 15 Kyle Pablo 2009-02-17 15:40:28 EST
Created attachment 332295 [details]
Lenovo T400 Xorg error
Comment 16 Kyle Pablo 2009-02-18 11:40:16 EST
Is there going to be a fix for the bug any time soon? Just looking for info.
Comment 17 Kyle Pablo 2009-02-24 12:16:36 EST
What is the status of this bug? Can we get it fixed soon? I keep having to reboot/power off every couple of hours.
Comment 18 wes.harris 2009-02-27 12:03:13 EST
Here are the final log entries before mine crashes.  A colleague is also experiencing the exact same issue.   I'm really eager to help fix this, please let us know if there is any information you require.

(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(--) SynPS/2 Synaptics TouchPad touchpad found
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button (CM): Device reopened after 1 attempts.
(II) Power Button (FF): Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(WW) AT Translated Set 2 keyboard: unable to handle keycode 435
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812bd6b]
1: /usr/bin/X(mieqEnqueue+0x289) [0x810b469]
2: /usr/bin/X(xf86PostMotionEventP+0xc2) [0x80d4262]
3: /usr/bin/X(xf86PostMotionEvent+0x68) [0x80d43c8]
4: /usr/lib/xorg/modules/input//synaptics_drv.so [0xa738fe]
5: /usr/lib/xorg/modules/input//synaptics_drv.so [0xa75f79]
6: /usr/bin/X [0x80bcdb7]
7: /usr/bin/X [0x80ac91e]
8: [0x862400]
9: [0x862416]
10: /lib/libc.so.6(ioctl+0x19) [0xce6979]
11: /usr/lib/libdrm.so.2 [0x63706cf]
12: /usr/lib/libdrm.so.2(drmWaitVBlank+0x28) [0x6370e08]
13: /usr/lib/dri/i965_dri.so [0x435578]
14: /usr/lib/dri/i965_dri.so(driWaitForVBlank+0xd8) [0x435798]
15: /usr/lib/dri/i965_dri.so(intelSwapBuffers+0x262) [0x43b5ac]
16: /usr/lib/dri/i965_dri.so [0x435912]
17: /usr/lib/xorg/modules/extensions//libglx.so [0x2b3504]
18: /usr/lib/xorg/modules/extensions//libglx.so [0x2a5cfe]
19: /usr/lib/xorg/modules/extensions//libglx.so [0x2a963a]
20: /usr/bin/X(Dispatch+0x34f) [0x8085e9f]
21: /usr/bin/X(main+0x47d) [0x806b71d]
22: /lib/libc.so.6(__libc_start_main+0xe5) [0xc216e5]
23: /usr/bin/X [0x806ab01]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
....
Comment 19 Daniel Thompson 2009-02-28 05:01:36 EST
I get must the same problem (Lenovo R400, technically this is almost the same hardware as T400 just packed into a cheaper chassis).

Like others I've gone back into the machine using ssh to have a poke about.

I've noticed that the xserver is impossible to kill (killall -KILL Xorg has not effect), none of the virtual console machinery works at all and that the system appears to hang during reboot (had to use hard off switch).

I believe I've observed the problem both in i686 and x86_64 mode (but I only investigated the x86_64 hang because the F10 live usb key I used to test i686 had ssh disabled).

So far I've only ever observed this problem when using the 3D functions (either a game or having desktop effects enabled) - to keep my system stable I've disabled desktop effects. This may be 'luck' though. AFAIK, the X4500 in my laptop doesn't have much 2D functionality (thinkwiki.org indicated that 2D acceleration is implemented using the 3D functions).
Comment 20 Dean Mander 2009-02-28 09:07:38 EST
I have same error.

Dell Latitude D830 with Intel Mobile GM965/GL960

Fedora 10 with i386, using kde 4.2.

Xorg.0.log: 
--------------------------
[mi] EQ overflowing. The server is probably stuck in an infinite loop.                                         

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812bd6b]
1: /usr/bin/X(mieqEnqueue+0x289) [0x810b469]  
2: /usr/bin/X(xf86PostButtonEvent+0x107) [0x80d4047]
3: /usr/lib/xorg/modules/input//evdev_drv.so [0xd52ed0]
4: /usr/bin/X [0x80bcdb7]                              
5: /usr/bin/X [0x80ac91e]                              
6: [0x355400]                                          
7: [0x355416]
8: /lib/libc.so.6(ioctl+0x19) [0xba9979]
9: /usr/lib/libdrm.so.2 [0x65936cf]
10: /usr/lib/libdrm.so.2(drmCommandWrite+0x34) [0x6593984]
11: /usr/lib/xorg/modules/drivers//intel_drv.so(I830Sync+0x135) [0x259ca5]
12: /usr/lib/xorg/modules/drivers//intel_drv.so [0x28397a]
13: /usr/lib/xorg/modules//libexa.so(exaWaitSync+0x65) [0x340095]
14: /usr/lib/xorg/modules/drivers//intel_drv.so(i830WaitSync+0xb7) [0x267cd7]
15: /usr/lib/xorg/modules/drivers//intel_drv.so(i965_prepare_composite+0x43b) [0x28d0ab]
16: /usr/lib/xorg/modules//libexa.so [0x348808]
17: /usr/lib/xorg/modules//libexa.so(exaComposite+0xd5a) [0x34992a]
18: /usr/lib/xorg/modules//libexa.so(exaComposite+0xe3f) [0x349a0f]
19: /usr/bin/X [0x816f75a]
20: /usr/bin/X(CompositePicture+0x19a) [0x81581ea]
21: /usr/lib/xorg/modules//libexa.so(exaGlyphs+0x665) [0x3457f5]
22: /usr/bin/X [0x816fa25]
23: /usr/bin/X(CompositeGlyphs+0xa2) [0x8154672]
24: /usr/bin/X [0x81619de]
25: /usr/bin/X [0x815add5]
26: /usr/bin/X(Dispatch+0x34f) [0x8085e9f]
27: /usr/bin/X(main+0x47d) [0x806b71d]
28: /lib/libc.so.6(__libc_start_main+0xe5) [0xae46e5]
29: /usr/bin/X [0x806ab01]
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
Comment 21 James Kirkland 2009-02-28 17:31:21 EST
Created attachment 333621 [details]
T61 Lenovo Xorg.log
Comment 22 James Kirkland 2009-02-28 17:32:31 EST
I have the same error on mt T61 Lenovo.   I have attached the Xorg log.
Comment 23 Al Dunsmuir 2009-03-02 07:32:35 EST
My bug is another likely duplicate:

Bug 476578 -  X-Org will not start on Dell GX270 (Intel 82865G) - [mi] EQ overflowing  

As bug notes, this hardware seems quite sensitive to X-Org related problems.
- X install would not start in F10 preview, dropped to text installer
- X install fine with F10 final
- X no longer starts after early updates (regression).  
- No improvement in nearly 3 months of updates
Comment 24 Richard Schwarting 2009-03-04 18:16:24 EST
This only happens to me when using EXA.  When using no acceleration or XAA, it doesn't occur.  (Sadly, XAA has issues unless I use Compiz with it :)
Comment 25 Toshio Ernie Kuratomi 2009-03-04 20:43:46 EST
Created attachment 334084 [details]
Lenovo X60 -- ix86 Xorg.log
Comment 26 Chris Nolan 2009-03-06 18:05:10 EST
"Me too" here. Intel GM965 Chipset, F10 x86_64. 

Symptoms: X seems to lock, keyboard totally unresponsive (even caps lock light sticks), mouse moves but can't click anything, screen seems to update but can't interact with it at all, power button works.

More info:

I only started noticing this AFTER kernel 2.6.27.12-170.2.5.fc10.x86_64. If I boot that kernel then I can enable compiz and never experience this crash. If I boot any released kernel more recent than that then with compiz enabled I will experience this crash within a short period of time (less than 1 hour usually). On more recent kernels if I disable compiz then I don't suffer the crash.

Any signs of a fix coming? I have anecdotal evidence that rebuilding the intel-xorg driver (2.5 or 2.5.1) against the current kernel fixes this issue. Not tried it myself though.
Comment 27 Steven Bularca 2009-03-10 15:46:10 EDT
"Me too"

This is occurring on an HP dv1657cl with x86 version and intel i915 graphics.  I have been using compiz extensively and the freeze happens about once or twice a day.  The mouse pointer still moves and I can turn the touchpad on and off however the rest of the system is completely dead and I need to press the power button to get back.  I have disabled compiz and I will see if it runs any better or not.  I have tried a variety of kernels from 2.6.27, 2.6.28, and 2.6.29-rc kernels and the issue seems to persist across all versions.
Comment 28 Chris Nolan 2009-03-10 18:50:18 EDT
FWIW I rebuilt (and then installed) the xorg-x11-drv-i810 RPM using the v2.5.1 intel driver from upstream and since doing that I haven't had a single lock up on the more recent kernel (2.6.27.19-170.2.35) with four days of constant use.

Caveat: I also removed all traces of compiz so maybe it's just that I'm not using compiz any more.
Comment 29 Kyle Pablo 2009-03-11 16:29:28 EDT
I disabled desktop effects in KDE 4.2 and can confirm that my system no longer locks up.  Another weird thing happens though, my screen will blank out while I am doing something but come right back up.  Very odd.
Comment 30 Dean Mander 2009-03-12 13:45:03 EDT
> Comment #28
> Caveat: I also removed all traces of compiz so maybe it's just that I'm not
using compiz any more.  

I'm not using compiz and it still crashes so that cannot be the (only) cause.

Thanks for the tip Chris, I'm also testing xorg-x11-drv-i810 with intel 2.5.1 driver.

While waiting feedback from the maintainer, I've shared it for those interesting in testing:

http://fedorapeople.org/~knol/rpms/xorg-x11-drv-i810/
Comment 31 Daniel Thompson 2009-03-15 05:45:48 EDT
(In reply to comment #28)
> FWIW I rebuilt (and then installed) the xorg-x11-drv-i810 RPM using the v2.5.1
> intel driver from upstream and since doing that I haven't had a single lock up
> on the more recent kernel (2.6.27.19-170.2.35) with four days of constant use.
>
> Caveat: I also removed all traces of compiz so maybe it's just that I'm not
> using compiz any more.  

I've tested this (Thinkpad R400, GMA4500MHD, x86_64) and it still locks up both with compiz and with other 3D applications (Alien Arena).

BTW the latest intel driver is r2.6 (but will depend on other kernel changes). Is r2.5.1 the version from F11 or just the one you could get to work with the F10 kernel code?
Comment 32 Daniel Thompson 2009-03-15 05:56:23 EDT
(In reply to comment #30)
> I'm not using compiz and it still crashes so that cannot be the (only) cause.

Indeed not. It seems that, given enough time, any 3D program will crash. Alien Arena appears to be a very good test case. For me it never actually gets are far as rendering the first frame.

--- cut here ---
1. Start Alien Arena
2. Select Single Player
3. Textures start loading and progress meter is displayed
4. First frame never appears (but the music keeps on ticking)
--- cut here ---

Having a fast running test case may be beneficial in tackling the problem (and certainly testing to see if it is fixed). Is anyone else able to confirm Alien Arena's murderous effect on the GFX h/ware?
Comment 33 Dean Mander 2009-03-15 14:27:28 EDT
I confirm the bug is still present with intel 2.5.1 driver, although much more difficult to expose: the only way I still have a problem is with certain video's in mplayer.

But unfortunately, the 2.5.1 driver has an additional bug: from time to time it doesn't respond to an irq interrupt, giving a kernel warning message and rendering the system awfully slow.
Comment 34 James Kirkland 2009-03-16 08:32:32 EDT
I am running the 2.5.1 driver and I haven't had the loop reoccur.  I have not re-enabled compiz.  I am willing to do so if you need more data points.  I am running FC10 x84_64 on an T61 thinkpad.
Comment 35 Tomáš Bžatek 2009-03-16 09:46:48 EDT
Seeing common symptomps on my gentoo box as well: x86_64, Mesa 7.3, xorg-video-intel-2.6.1, EXA with GEM, almost-vanilla kernel 2.6.28.1, no KMS, Intel DG45ID board.

Work in 2D desktop is stable, but any bigger load in 3D will take X down to knees. Reproducible in mplayer -vo gl, GoogleEarth 5 beta and every time in UT2004 (native x86_64 mode) when shooting with a link gun :-)
Comment 36 Matt Hirsch 2009-03-21 19:32:16 EDT
'Me too'

I see this but on a dell inspiron 1100, with intel 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphcs (rev 03) (8086:2562). I have the latest updates as of today:

xorg-x11-drv-i810-2.5.0-4.fc10.i386
xorg-x11-server-Xorg-1.5.3-15.fc10.i386

I get a lockup immediately when the X server starts (I have no xorg.conf):

(II) intel(0): Printing probed modes for output LVDS
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 (48.4 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812be9b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b599]
2: /usr/bin/Xorg(xf86PostKeyboardEvent+0xa7) [0x80d3df7]
3: /usr/lib/xorg/modules/input//evdev_drv.so [0x4f4eeb]
4: /usr/bin/Xorg [0x80bcdd7]
5: /usr/bin/Xorg [0x80ac93e]
6: [0x553400]
7: [0x553416]
8: /lib/libc.so.6(ioctl+0x19) [0x845979]
9: /usr/lib/libdrm.so.2 [0x3a76cf]
10: /usr/lib/libdrm.so.2(drmCommandWrite+0x34) [0x3a7984]
11: /usr/lib/xorg/modules/drivers//intel_drv.so(I830Sync+0x135) [0x3c3ca5]
12: /usr/lib/xorg/modules/drivers//intel_drv.so [0x3ed97a]
13: /usr/lib/xorg/modules//libexa.so(exaWaitSync+0x65) [0xef6095]
14: /usr/lib/xorg/modules//libexa.so(ExaDoPrepareAccess+0x7e) [0xef73ae]
15: /usr/lib/xorg/modules//libexa.so [0xefc3b2]
16: /usr/lib/xorg/modules//libexa.so [0xefc905]
17: /usr/lib/xorg/modules//libexa.so(exaDoMigration+0x652) [0xefd0c2]
18: /usr/lib/xorg/modules//libexa.so [0xefe74b]
19: /usr/lib/xorg/modules//libexa.so(exaComposite+0xd5a) [0xeff92a]
20: /usr/bin/Xorg [0x816f88a]
21: /usr/bin/Xorg(CompositePicture+0x19a) [0x815831a]
22: /usr/lib/xorg/modules//libexa.so(exaTrapezoids+0x3ea) [0xefe3da]
23: /usr/bin/Xorg(CompositeTrapezoids+0x9b) [0x81580eb]
24: /usr/bin/Xorg [0x81606cd]
25: /usr/bin/Xorg [0x815af05]
26: /usr/bin/Xorg(Dispatch+0x34f) [0x8085ebf]
27: /usr/bin/Xorg(main+0x47d) [0x806b73d]
28: /lib/libc.so.6(__libc_start_main+0xe5) [0x7806e5]
29: /usr/bin/Xorg [0x806ab21]
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.


If I run with

Option "AccelMethod" "XAA"

I don't have any problems. (I'm not using compiz).
Comment 37 Richard Körber 2009-03-25 20:09:10 EDT
Are there any news regarding this bug? My system still crashes at least once a day because of this, and I already lost some unsaved work. It's frustrating that there is no response of a developer about the progress being made so far, and if there will be a fix for F10.

There seem to be some duplicates, at least Bug 472935, Bug 464866, Bug 461155, Bug 444449. What about closing them?

There is a [NEEDINFO] in the subject. What information is actually needed? How can we help to fix this bug ASAP?

Thank you!
Comment 38 Jimmy Dorff 2009-03-25 22:12:35 EDT
For what it's worth, I see this issue on the following hardware:
Display controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
Display controller: Intel Corporation 82Q35 Express Integrated Graphics Controller (rev 02)
VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller (rev 02)

One of the more interesting "hangs" was as a user was unlocking their desktop w/ gnome screensaver.
Comment 39 Eric Donkersloot 2009-03-26 07:44:33 EDT
Sony Vaio VGN-BZ12XN:

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

xorg-x11-drv-i810-2.5.0-4.fc10.x86_64
xorg-x11-server-Xorg-1.5.3-15.fc10.x86_64

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e7c96]
1: /usr/bin/Xorg(mieqEnqueue+0x291) [0x4c87d1]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc4) [0x4914c4]
3: /usr/bin/Xorg(xf86PostMotionEvent+0xa9) [0x491699]
4: /usr/lib64/xorg/modules/input//evdev_drv.so [0x69ff472]
5: /usr/bin/Xorg [0x47a795]
6: /usr/bin/Xorg [0x46b337]
7: /lib64/libc.so.6 [0x3989032f90]
8: /lib64/libc.so.6(ioctl+0x7) [0x39890de037]
9: /usr/lib64/libdrm.so.2 [0x357d003023]
10: /usr/lib64/libdrm.so.2(drmWaitVBlank+0x20) [0x357d0036c0]
11: /usr/lib64/dri/i965_dri.so [0x469909e]
12: /usr/lib64/dri/i965_dri.so(driWaitForVBlank+0xcb) [0x469929f]
13: /usr/lib64/dri/i965_dri.so(intelSwapBuffers+0x23f) [0x469ed86]
14: /usr/lib64/dri/i965_dri.so [0x46993e2]
15: /usr/lib64/xorg/modules/extensions//libglx.so [0xc067ff]
16: /usr/lib64/xorg/modules/extensions//libglx.so [0xbfa656]
17: /usr/lib64/xorg/modules/extensions//libglx.so [0xbfd8f2]
18: /usr/bin/Xorg(Dispatch+0x364) [0x446904]
19: /usr/bin/Xorg(main+0x45d) [0x42cd4d]
20: /lib64/libc.so.6(__libc_start_main+0xe6) [0x398901e576]
21: /usr/bin/Xorg [0x42c129]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
Comment 40 Need Real Name 2009-03-26 08:49:17 EDT
Got my self some new hardware to get rid of the problem ...
Comment 41 Kyle Pablo 2009-03-28 22:34:03 EDT
I have added Option "AccelMethod" "EXA" in my xorg.conf and the problem has gone away.  I tried XAA and that did not work.  Also I am using EXA with desktop effects disabled.
Comment 42 Donald Cohen 2009-03-29 02:33:22 EDT
(In reply to comment #41)
> I have added Option "AccelMethod" "EXA" in my xorg.conf and the problem has
> gone away.  I tried XAA and that did not work.  Also I am using EXA with
> desktop effects disabled.  

Can you be more explicit for those of us who don't understand?
What exactly did you put where in the file and what does it mean?
(I recently tried to create an xorg.conf and couldn't get X to start with it!)
Comment 43 Eric Donkersloot 2009-03-29 04:51:07 EDT
(In reply to comment #41)
> I have added Option "AccelMethod" "EXA" in my xorg.conf and the problem has
> gone away.  I tried XAA and that did not work.  Also I am using EXA with
> desktop effects disabled.  

EXA is the default acceleration method for this driver, so enabling it explicitly in xorg.conf isn't going to change anything. The problem disappeared because you disabled the desktop effects, as it did for me.
Comment 44 Gayathri Swaminathan 2009-03-29 16:08:36 EDT
Explained behaviour occuring on a T400 running F10 on integrated GPU

00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Disabling desktop effects, works for now.
Comment 45 Gayathri Swaminathan 2009-03-29 16:09:10 EDT
Explained behaviour occurring on a T400 running F10 on integrated GPU

00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Disabling desktop effects, works for now.
Comment 46 Richard Körber 2009-04-05 14:54:40 EDT
Switching to XAA gives some strange patterns on my desktop and is merely a short-term workaround. Disabling desktop effects also does not help much, since those crashes also occur when using Google Earth, for example. Besides that, disabling Compiz is no acceptable solution to a bug that is open for 6 months now!

Frankly, I am getting really annoyed that there seems to be no progress in this bug whatsoever. Would some person in charge please give a comment on the current state?
Comment 47 Anant Sahai 2009-04-06 11:54:26 EDT
From what I can see on my laptop  (Lenovo x60s running F10 with all updates applied), this is NOT at 3D issue. I have desktop effects disabled and have managed to trigger this bug twice in as many days during *moving cards by dragging them* in Frecell Solitaire. The second time, no 3D programs were run since boot. 

Here are two of the backtraces. As you can see, they are quite consistent.

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812be9b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b599]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc2) [0x80d4282]
3: /usr/bin/Xorg(xf86PostMotionEvent+0x68) [0x80d43e8]
4: /usr/lib/xorg/modules/input//evdev_drv.so [0xd03d25]
5: /usr/bin/Xorg [0x80bcdd7]
6: /usr/bin/Xorg [0x80ac93e]
7: [0x295400]
8: [0x295416]
9: /lib/libc.so.6(ioctl+0x19) [0x6e9979]
10: /usr/lib/libdrm.so.2 [0x1196cf]
11: /usr/lib/libdrm.so.2(drmCommandWrite+0x34) [0x119984]
12: /usr/lib/xorg/modules/drivers//intel_drv.so(I830Sync+0x135) [0x3caca5]
13: /usr/lib/xorg/modules/drivers//intel_drv.so [0x3f497a]
14: /usr/lib/xorg/modules//libexa.so(exaWaitSync+0x65) [0x9e7095]
15: /usr/lib/xorg/modules//libexa.so(ExaDoPrepareAccess+0x7e) [0x9e83ae]
16: /usr/lib/xorg/modules//libexa.so [0x9ed3b2]
17: /usr/lib/xorg/modules//libexa.so [0x9ed905]
18: /usr/lib/xorg/modules//libexa.so(exaDoMigration+0x652) [0x9ee0c2]
19: /usr/lib/xorg/modules//libexa.so [0x9ef74b]
20: /usr/lib/xorg/modules//libexa.so(exaComposite+0xd5a) [0x9f092a]
21: /usr/bin/Xorg [0x816f88a]
22: /usr/bin/Xorg(CompositePicture+0x19a) [0x815831a]
23: /usr/bin/Xorg [0x815e1e5]
24: /usr/bin/Xorg [0x815af05]
25: /usr/bin/Xorg(Dispatch+0x34f) [0x8085ebf]
26: /usr/bin/Xorg(main+0x47d) [0x806b73d]
27: /lib/libc.so.6(__libc_start_main+0xe5) [0x6246e5]
28: /usr/bin/Xorg [0x806ab21]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
...

and 

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812be9b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b599]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc2) [0x80d4282]
3: /usr/bin/Xorg(xf86PostMotionEvent+0x68) [0x80d43e8]
4: /usr/lib/xorg/modules/input//evdev_drv.so [0x97fd25]
5: /usr/bin/Xorg [0x80bcdd7]
6: /usr/bin/Xorg [0x80ac93e]
7: [0xe3f400]
8: [0xe3f416]
9: /lib/libc.so.6(ioctl+0x19) [0x37f979]
10: /usr/lib/libdrm.so.2 [0xe446cf]
11: /usr/lib/libdrm.so.2(drmCommandWrite+0x34) [0xe44984]
12: /usr/lib/xorg/modules/drivers//intel_drv.so(I830Sync+0x135) [0x4feca5]
13: /usr/lib/xorg/modules/drivers//intel_drv.so [0x52897a]
14: /usr/lib/xorg/modules//libexa.so(exaWaitSync+0x65) [0xc65095]
15: /usr/lib/xorg/modules//libexa.so(ExaDoPrepareAccess+0x7e) [0xc663ae]
16: /usr/lib/xorg/modules//libexa.so [0xc6b3b2]
17: /usr/lib/xorg/modules//libexa.so [0xc6b905]
18: /usr/lib/xorg/modules//libexa.so(exaDoMigration+0x652) [0xc6c0c2]
19: /usr/lib/xorg/modules//libexa.so [0xc6d74b]
20: /usr/lib/xorg/modules//libexa.so(exaComposite+0xd5a) [0xc6e92a]
21: /usr/bin/Xorg [0x816f88a]
22: /usr/bin/Xorg(CompositePicture+0x19a) [0x815831a]
23: /usr/bin/Xorg [0x815e1e5]
24: /usr/bin/Xorg [0x815af05]
25: /usr/bin/Xorg(Dispatch+0x34f) [0x8085ebf]
26: /usr/bin/Xorg(main+0x47d) [0x806b73d]
27: /lib/libc.so.6(__libc_start_main+0xe5) [0x2ba6e5]
28: /usr/bin/Xorg [0x806ab21]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
...

As you can see, the bug is consistent, but sadly, it is not 100% repeatable. The bug is not triggered the first time you move a card or anything like that.
Comment 48 Anant Sahai 2009-04-06 12:07:12 EDT
One additional comment that might help debug this, whatever the bug is, the aftermath even blocks a successful reboot. Both times, I've ssh-ed into the locked machine to access the logs. A "shutdown -r now" command proceeds, but gets wedged with a black screen showing only an immobile "hand" cursor leftover from Freecell and a flashing caps-lock indicator.
Comment 49 Jimmy Dorff 2009-04-07 13:05:47 EDT
For what it's worth, I have observed this bug on multiple systems with multiple users who have desktop effects disabled.
Comment 50 Eric Donkersloot 2009-04-16 08:11:10 EDT
I have re-enabled compiz and I started testing again with the 2.6.29.1-30 kernel from testing.
Comment 51 Eric Donkersloot 2009-04-16 11:19:24 EDT
Looks like the xorg server no longer crashes using the 2.6.29.1-30 kernel. Resume from suspend is still not working properly when compiz is enabled, but that is probably related to another bug.

Also, the number of frames rendered by glxgears has diminished with 50%.
I know glxgears is not a proper benchmark, but I used to have ~1200 FPS using the latest 2.6.27 kernel and currently about ~650 FPS.
Comment 52 Richard Körber 2009-04-19 18:44:24 EDT
Crashed twice today with kernel 2.6.29.1-30.fc10.x86_64 (from testing), "pci=msi" kernel boot option and compiz enabled. I gave XAA another try after that, but it gave me semi-transparent windows and garbage on the screen when a window was moved or closed.
Comment 53 Ciprian 2009-04-20 03:32:32 EDT
I see a lot of comments about disabling compiz as a temporary fix. Well it has no effect on my X61s running 2.6.27.21-170.2.56fc10.x86_64. 

There is though one sure way to produce the bug on my laptop; The sequence to is:

1. Make sure you're on battery and boot XP Pro (32 bit, latest updates in place) 

2. Hibernate the machine. 

3. Start again and boot FC10 (I'm using KDE). 

It is guaranteed that in the next 10...15 minutes of usage moving the mouse over an taskmanager autohide bar will freeze the box. It always freezes when updating the status icons on the taskmanager toolbar. 

Once frozen, pressing the power button to power down and then booting again in FC10 will make it behave until the next shut down and I mean like 12h of work. 

Shutting down cleanly from FC10 (after a crash and restart) and then booting again directly on FC10 still poses the risk of this bug appearing but this time it's random (can be 20 minutes or it can be 2h). Once again, forcing a power down and then a start after a freeze will result in a "clean" session. 

PS. A good warning sign is that the CPU cooler keeps running at higher RPMs for longer periods of time. When I hear the cooler like that I typically save all my work and "sync"... :-]
Comment 54 Richard Körber 2009-04-20 04:18:56 EDT
When thinking about my Comment #52 again, I noticed that the system behaved nicely in the last couple of days, after I switched to kernel 2.6.29 with pci=msi (see Bug 474624). I already thought that this bug was gone too.

Yesterday the bug reappeared twice though, but always after I suspended the system to RAM. With 2.6.29 and pci=msi, it never crashed after a fresh boot so far, even when I tortured it with Compiz, video playback and VNC (which was a safe bet for a crash before).
Comment 55 munkor 2009-04-20 11:15:57 EDT
So any got solution to fix it? I need to boot with gui doesn't matter with resolution.
Comment 56 Richard Körber 2009-04-20 17:34:00 EDT
Okay, please ignore my Comment #54. Those crashes hit me twice again today, even on a cleanly booted system. I do miss Fedora 8, it was rock stable on that machine... ;-(
Comment 57 munkor 2009-04-21 01:56:49 EDT
I've installed 2 dell Vostro. 

first 1 was back 4 months ago. I've checked the intel display chipset is diff with the current chipset.

Both are installed FC10. Recently, dell vostro no problem after installation. I found out that the auto Intel on the right hand side of the screen. Once the system updated, the system started not stable. Initial I thought it was kernel issue/


Decided reformat and re-do. Tried to yum install kernel. Everything is fine. Again, it appeared auto intel something. Once reboot the sytem, it started system not stable. 

From xorg log, it showing couldn't find the correct section monitor, or sub section etc.

Anyone of guys can fix the problem? I wouldn't mind to low resolution. As long as it can boot up with GUI.
Comment 58 wes.harris 2009-04-21 03:46:51 EDT
Additional Info:

Switching to Xrender completely eradicates this bug.   Obviously something do to with openGL.
Comment 59 munkor 2009-04-21 19:45:07 EDT
Just install Xrender? It will solve the bug?

I search rpm, there is rpm for it. Appreciate your helps.

Thanks.
Comment 60 wes.harris 2009-04-22 02:57:09 EDT
I didn't say install, I said *switch*.   Its part of the visual effects settings on KDE.
Comment 61 Ciprian 2009-04-22 03:10:33 EDT
I wish that would be a solution... unfortunately on an X61s running on battery even with ALL effects turned off the combination of relatively slow TFT and Xrender is an eye killer simply for moving a window around the screen; 'fraid hardware accel is here to stay. One can only hope FC11 will provide...
Comment 62 munkor 2009-04-22 08:51:14 EDT
I am using Gnome. Let me try KDE. Thanks.
Comment 63 antisol 2009-04-29 06:32:48 EDT
Another "Me Too".

Here is a copy-paste of my description of the problem I posted on fedoraforums:

I'm having trouble with Fedora 10 on my new laptop. I've spent about a week trying to solve this, and none of the suggestions I've seen on various sites and threads in this forum have helped. I'm hoping that somebody might be able to please help me out.

Symptoms:

Machine:
* Dell Inspiron 1525 Laptop
* Intel 965GM graphics chip
* Fedora 10, updated to current using the default 'updates' repositories.

WHAT:
* Screen completely freezes, except that mouse cursor still moves. Gkrellm stops updating (or updates are no longer drawn to the screen)
* The machine has not completely frozen; copying files from a samba share onto the local hard drive via nautilus continues, and I can SSH into it from another machine. When I SSH in from another machine and run 'top', nothing is using an unusual amount of CPU time.
* when logged into the 'frozen' machine via ssh, running "tail -f /var/log/Xorg.0.log" reveals:

[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.

When I move the mouse, more output similar or the same as the above is generated. Pressing keys (including 'power combinations' such as CTRL-ALT-F2, CTRL-ALT-BKSP, and CTRL-ALT-DEL) on the keyboard generates one or more of the 'infinite loop' messages, but no 'out-of-order' messages.

* The only ways I've found to get the machine back to a usable state is to either hard-reset, or ssh into the machine and use the 'reboot' command. 'init 3' from ssh does nothing.

WHEN:
* not quite randomly. It appears that heavily graphical applications seem to cause this. For example, if I leave the machine idle, or play gnome-mines but do nothing else, the machine appears stable (have had it idle and stable for >24hrs, only ever freezes when I am using it).

Some seemingly sure-fire ways to cause a 'freeze':
- Showing off compiz's effects will usually cause a 'freeze' within 5 or 10 minutes. If I use the CTRL-ALT-Mouse1 combination to free-rotate the desktop cube for an extended period of time (more than a couple of minutes), it will freeze.
- Watching a movie with xine will usually cause this in 20-30 minutes.
- Playing Alien Arena or Unreal Tournament 2004 for Linux is almost guaranteed to cause the freeze within 20 minutes

THINGS I HAVE TRIED:

* Adding nomodeset to the kernel arguments. No noticeable effect

* Adding noapic to the kernel arguments. No noticeable effect

* Adding nohz=off to the kernel arguments. No noticeable effect

* Adding processor.max_cstate=1 to the kernel arguments. No Noticeable effect.

* Adding acpi=off to the kernel arguments. Machine will not boot (hangs during startup after 'Starting NetworkManager daemon') with this argument

* All possible combinations of the above

* Turning off compiz. No noticeable effect

* various xorg.conf tweaks. (Legacy3D=true, DRI mode 666, Xinerama=0). No noticeable effects.

* Recompiling the intel graphics driver as per the instructions at http://www.graphics-muse.org/wp/?p=314. I was able to compile the driver successfully, but it doesn't work - the machine will boot up successfully, but when it starts X, the screen flashes a few times (setting graphical mode), then hangs. After a while (1 minute?) the CapsLock and Scroll Lock keyboard LEDs start flashing. The only way to get the machine back to a usable state is to hard-reset, boot into runlevel 3, and comment out the modules path in xorg.conf. After rebooting, I'm not able to find any obvious error messages in either /var/log/dmesg, /var/log/messages, or /var/log/Xorg.0.log

* Checking updates-testing for a later version of the intel driver. there is none.

* I have noticed that there is a newer intel driver in the rawhide repository, but trying to install it basically required updating the entire machine to rawhide, which is a >4gb download, and I'm concerned that there may be other stability issues in this 'bleeding-edge' repository - I tend to use the 'stable' repositories, so I'd much prefer to solve the issue without updating to rawhide.

my xorg.conf:

---BEGIN---
Section "ServerLayout"
Identifier "X.org Configured"
Screen 0 "Screen0" 0 0
InputDevice "Mouse0" "CorePointer"
InputDevice "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
# The following module path points to the non-functional recompiled intel driver:
# ModulePath "/usr/local/xorg/lib/xorg/modules/"
ModulePath "/usr/lib/xorg/modules"
FontPath "catalogue:/etc/X11/fontpath.d"
FontPath "built-ins"
EndSection

Section "Module"
Load "dbe"
Load "extmod"
Load "dri"
Load "glx"
EndSection

Section "DRI"
Mode 0666
EndSection

Section "InputDevice"
Identifier "Keyboard0"
Driver "kbd"
EndSection

Section "InputDevice"
Identifier "Mouse0"
Driver "mouse"
Option "Protocol" "auto"
Option "Device" "/dev/input/mice"
Option "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
Identifier "Monitor0"
VendorName "Monitor Vendor"
ModelName "Monitor Model"
EndSection

Section "Device"
### Available Driver options are:-
### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
### [arg]: arg optional
#Option "NoAccel" # [<bool>]
#Option "SWcursor" # [<bool>]
#Option "ColorKey" # <i>
#Option "CacheLines" # <i>
#Option "Dac6Bit" # [<bool>]
#Option "DRI" # [<bool>]
#Option "NoDDC" # [<bool>]
#Option "ShowCache" # [<bool>]
#Option "XvMCSurfaces" # <i>
#Option "PageFlip" # [<bool>]
Identifier "Card0"
VendorName "Intel Corporation"
Driver "intel"
#Driver "vesa"
BoardName "Mobile GM965/GL960 Integrated Graphics Controller"
BusID "PCI:0:2:0"
Option "XVideo" "true"
Option "XvMC" "true"
Option "DRI" "true"
Option "XvMCSurfaces" "7"
Option "Legacy3d" "true"

EndSection

Section "Screen"
Identifier "Screen0"
Device "Card0"
Monitor "Monitor0"
SubSection "Display"
Viewport 0 0
Depth 1
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 4
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 8
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 15
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 16
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

Section "ServerFlags"
Option "Xinerama" "0"
EndSection

---END---

I'm currently reading up on how to run a backtrace, and I'll provide one when I'm able.
Comment 64 Adam Jackson 2009-04-29 10:52:20 EDT
Argh bugzilla pile-on.

This is a _tracker_ bug.  It is a tracker because that error message is symptomatic of _many_ different bugs.  See:

http://marc.info/?l=fedora-devel-list&m=124101535025331&w=2

for a more detailed explanation of why it's not just one bug.

Please do not add additional tracebacks or me-too's here.  File new bugs and make them block this one.  Don't worry about if they might be duplicates of existing reports.  It's better to have five bugs for the same underlying issue, than one bug for five issues.
Comment 65 wes.harris 2009-05-16 13:16:02 EDT
.... thanks Adam, can you suggest how we might determine *which* bug(s) cause these symptoms so we can file them appropriately?
Comment 66 Vladimir 2009-05-18 03:44:38 EDT
Fedora 10 with KDE4 has screen freeze when sitting idle for some time.
I can move mouse cursor but no buttons active.
When it happens I can ssh to the box and see the tail
/var/log/Xorg.0.log 
'EQ overflowing. The server is probably stuck in an infinite loop.'

The only option to get back life is to powercycle the computer.

This is Gigabyte motherboard with Intel G45 video chip, F10 64bit installation and then upgrade to KDE4. PC is connecting to 42" TV set via HDMI and RGB interface.

There is no /etc/X11/xorg.conf file on this system.

There are few .fdi files in /etc/hal/fdi/policy. Here is the 10-x11-input.fdi.

  <match key="info.capabilities" contains="input.mouse">                   
      <merge key="input.x11_driver" type="string">mouse</merge>
      <match key="/org/freedesktop/Hal/devices/computer:system.kernel.name"
             string="Linux">
        <merge key="input.x11_driver" type="string">evdev</merge>
      </match>
    </match>

    <match key="info.capabilities" contains="input.keys">
      <merge key="input.x11_options.XkbRules" type="string">base</merge>

      <!-- If we're using Linux, we use evdev by default (falling back to
           kbd otherwise). -->
      <merge key="input.x11_driver" type="string">kbd</merge>
      <merge key="input.x11_options.XkbModel" type="string">pc105</merge>
      <match key="/org/freedesktop/Hal/devices/computer:system.kernel.name"
             string="Linux">
        <merge key="input.x11_driver" type="string">evdev</merge>
        <merge key="input.x11_options.XkbModel" type="string">evdev</merge>
      </match>

      <merge key="input.x11_options.XkbLayout" type="string">us</merge>

      <merge key="input.x11_options.XkbVariant" type="string" />
    </match>
  </device>
</deviceinfo>
Comment 67 Vladimir 2009-05-20 00:01:08 EDT
After restore from a hibernation mode here is tail /var/log/Xorg.0.log

(II) intel(0):   Output HDMI-2 is connected to pipe none
(II) intel(0): [drm] mapped front buffer at 0xd4300000, handle = 0xd4300000
(II) intel(0): [drm] mapped back buffer at 0xd3220000, handle = 0xd3220000
(II) intel(0): [drm] mapped depth buffer at 0xd2220000, handle = 0xd2220000
(II) Power Button (CM): Device reopened after 1 attempts.
(II) Logitech USB Receiver: Device reopened after 1 attempts.
(II) Logitech USB Receiver: Device reopened after 1 attempts.
(II) Power Button (FF): Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
BOGUS LENGTH in write keyboard desc, expected 5816, got 5812

And when I just moved my mouse the system gets frozen with the error message in the log:
'EQ overflowing. The server is probably stuck in an infinite loop.'

The keyboard and mouse are Logitech wireless.
Comment 68 Vladimir 2009-09-02 05:31:36 EDT
After upgrading to F11 the problem gets resolved.
Comment 69 Kyle Pablo 2009-09-07 20:38:17 EDT
Upgrading to F11 resolves problem.
Comment 70 Matěj Cepl 2009-11-05 12:12:11 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 71 Donald Cohen 2009-11-05 18:10:15 EST
I've not seen the [mi] EQ overflowing message in a long time, but I recently upgraded to kernel-2.6.30.9-90.fc11.x86_64 from kernel-2.6.30.8-64.fc11.x86_64 and got a semi-freeze - the clock stopped, keyboard seemed not to be responding, every so often the mouse would track but no response to clicks.
On reboot I found an Xorg log file of 30MB.  Unfortunately I then started X and lost it, but I think I see some messages in my current log of the same sort (at least very similar) that were filling the 30MB:
 ...
(II) NOUVEAU(0): NV50CrtcGammaSet is called for CRTC1.
(II) NOUVEAU(0): nv50_crtc_gamma_set is called for CRTC0.
(II) NOUVEAU(0): NV50CrtcGammaSet is called for CRTC0.
(II) NOUVEAU(0): nv50_crtc_gamma_set is called for CRTC1.
(II) NOUVEAU(0): NV50CrtcGammaSet is called for CRTC1.
(II) NOUVEAU(0): nv50_crtc_gamma_set is called for CRTC0.
(II) NOUVEAU(0): NV50CrtcGammaSet is called for CRTC0.
 ...
Is this related to the current bug?  Should I file a new bug?
Next time it crashes I'll be more careful to save the log.
In the previous kernel I never saw a similar problem.
Comment 72 Matěj Cepl 2009-11-07 20:48:14 EST
I defer to comment 64 and closing this bug as CANTFIX (because this is not one bug which we could deal with). Please, anybody who is tempted to write a comment here, file a new bug with your particular issue, and please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Closing as CANTFIX
Comment 73 Matěj Cepl 2011-03-06 18:39:30 EST
*** Bug 605432 has been marked as a duplicate of this bug. ***
Comment 74 Matěj Cepl 2011-03-06 18:40:06 EST
*** Bug 682574 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.